Skip to content

Delete a Custom Object Instance by External ID

Request

Delete a single Custom Object instance by external_id.

Security
bearerAuth
Path
custom_object_type_identifierstringrequired

The unique identifier of the custom object type that defines the structure of the custom object instance.

Example:Order
Query
external_idstring(Find by external_id)required

The unique identifier for the instance in the external system it originated from.

Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.14"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.14
curl -i -X DELETE \
  'https://api.intercom.io/custom_object_instances/Order?external_id=string' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.14'

Responses

successful

Bodyapplication/json
objectstring

The unique identifier of the Custom Object type that defines the structure of the Custom Object instance.

Example:"Order"
idstring

The Intercom defined id representing the Custom Object instance.

Example:"123"
deletedboolean

Whether the Custom Object instance is deleted or not.

Example:true
Response
{ "id": "26", "object": "Order", "deleted": true }